import { Options, RendererOptions, SerializedRenderResult, TargetLanguage } from "../quicktype-core";
export interface CLIOptions {
    lang: string;
    topLevel: string;
    src: string[];
    srcUrls?: string;
    srcLang: string;
    graphqlSchema?: string;
    graphqlIntrospect?: string;
    httpHeader?: string[];
    httpMethod?: string;
    out?: string;
    buildMarkovChain?: string;
    noMaps: boolean;
    noEnums: boolean;
    noDateTimes: boolean;
    noIntegerStrings: boolean;
    alphabetizeProperties: boolean;
    allPropertiesOptional: boolean;
    noCombineClasses: boolean;
    noRender: boolean;
    rendererOptions: RendererOptions;
    help: boolean;
    quiet: boolean;
    version: boolean;
    debug?: string;
    telemetry?: string;
}
export declare function parseCLIOptions(argv: string[], targetLanguage?: TargetLanguage): CLIOptions;
export declare function makeQuicktypeOptions(options: CLIOptions, targetLanguages?: TargetLanguage[]): Promise<Partial<Options> | undefined>;
export declare function writeOutput(cliOptions: CLIOptions, resultsByFilename: ReadonlyMap<string, SerializedRenderResult>): void;
export declare function main(args: string[] | Partial<CLIOptions>): Promise<void>;
